The line-out on the Dell Dock station can't work

Bug #1806532 reported by Hui Wang on 2018-12-04
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Critical
Unassigned
alsa-lib (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
linux (Ubuntu)
Critical
Hui Wang
Bionic
Medium
Unassigned
Cosmic
Medium
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]
On the Dell thunderbolt docs stations (WD15 and WD19), there are two playback
devices, one is headphone, the other is line-out, but there is no UCM for
these docks yet, so the pluseaudio only can handle the 1st playback device,
need us to add the UCM for them, before adding UCM, we need to set the
longname of the sound card in the linux kernel.

[Fix]
For Linux kernel: Cherry-picked 3 upstream patches, these patches add the longname of the sound card for the dock station.

For alsa-lib: Cherry-picked 3 upstream patches from alsa-lib, these will
add ucm configuration files for Dell WD15&19, and change the SPDIF conf
in the USB-AUDIO.conf.

[Test Case]
Open the gnome-sound-setting, we can choose headphone-usb and lineout-usb from
UI, and play sound via these devices

[Regression Potential]
Very low, these patches come from upstream, and the change is only specific
to WD15 and WD19 dock station.

Hui Wang (hui.wang) on 2018-12-04
Changed in linux (Ubuntu):
importance: Undecided → Critical
tags: added: originate-from-1802250 somerville
Hui Wang (hui.wang) on 2018-12-04
description: updated

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1806532

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Seth Forshee (sforshee) on 2018-12-05
Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Hui Wang (hui.wang) wrote :

ubuntu-sponsor-team:

This bug also needs to backport 3 patches to alsa-lib of cosmic and bionic, here is the debdiff for alsa-lib cosmic. Please review it, if it passes review, please help enqueue it.

thanks.

description: updated
Hui Wang (hui.wang) wrote :

This is the debdiff for bionic

And the debdiff is generated based on bionic-proposed branch of https://git.launchpad.net/ubuntu/+source/alsa-lib

thanks.

Hui Wang (hui.wang) wrote :

And the debdiff in the #2 is generated based on cosmic-proposed branch of https://git.launchpad.net/ubuntu/+source/alsa-lib

Sebastien Bacher (seb128) wrote :

Thanks for the work, it looks like 0011-conf-ucm-Dell-WD15-Dock-Fix-incorrect-device-names.patch and 0012-conf-USB-Audio-Add-Dell-WD19-Dock-in-the-IEC958-blac.patch were commited after 1.1.7 and is not in disco though so they need to be added there first before we upload the SRU

Sebastien Bacher (seb128) wrote :

The cosmic debdiff looks fine, I can upload that once disco has been updated. Can you work on the debdiff for disco as well?

Hui Wang (hui.wang) wrote :

@seb128,

OK, got it. Before I upload the debdiff for cosmic and bionic, I tried to generate debdiff for disco too, but it always failed when I ran "debuild -sa -S" for disco.

I am trying to generate the debdiff for disco now. Will upload it soon.

thanks.

Sebastien Bacher (seb128) wrote :

Ok, let me know what error you get/if you can help. Note that the first patch is in 1.1.7 so you don't need it, also you might need to use 'update-maintainer' since we are adding a diff ... if you give your error/log I can try to help you

Hui Wang (hui.wang) wrote :

This is the debdiff for disco.

I installed a disco daily build through docker, then generated the debdiff under disco, there is no any errors when running "debuild -sa -S".

thanks.

Sebastien Bacher (seb128) wrote :

Thanks, that looks good. I've merge proposed those changes to Debian since we are in sync it would be nice to stay this way, https://salsa.debian.org/alsa-team/alsa-lib/merge_requests/1. I'm going to upload to disco meanwhile so we don't block on them to merge it.

Sebastien Bacher (seb128) wrote :

@Hui, could you give some details here on what's the status of the kernel patches. Are they in cosmic and/or disco yet? Do we need to block the alsa SRU on those bits to land to be able to verify the change works?

AceLan Kao (acelankao) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Hui Wang (hui.wang) on 2018-12-12
tags: added: verification-done-bionic
removed: verification-needed-bionic
Hui Wang (hui.wang) wrote :

@Sebastien,

The kernel patches for cosmic and disco already got ack from ubuntu kernel team, and they are enqueued in the next release of kernel.

And it is safe to SRU alsa-lib first even without kernel patches. If the kernel doesn't contain those patches, the alsa-lib will work as before, the new added patches for alsa-lib will not introduce any side effect.

And after the new alsa-lib is ready, I will build a kernel myself to verify it if the ubuntu formal kernel is not ready.

thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.1.7-2ubuntu0.1

---------------
alsa-lib (1.1.7-2ubuntu0.1) disco; urgency=medium

  * Cherry picked 0009-conf-ucm-Dell-WD15-Dock-Fix-incorrect-device-names.patch
  * Cherry picked 0010-conf-USB-Audio-Add-Dell-WD19-Dock-in-the-IEC958-blac.patch
  * (LP: #1806532)

 -- Hui Wang <email address hidden> Tue, 11 Dec 2018 11:20:38 +0000

Changed in alsa-lib (Ubuntu):
status: New → Fix Released

Hello Hui, or anyone else affected,

Accepted alsa-lib into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-lib/1.1.6-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in alsa-lib (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Hui Wang (hui.wang) wrote :

The build failure for cosmic and bionic (after applying the debdiff of #2 and #3) is because I forgot to add one more patch to add this ucm to configure.ac.

here I fixed it, and generate an incremental debdiff for cosmic (since the debdiff of #2 is already merged to cosmic-proposed branch). If need me put this debdiff and the debdiff of #2 into one debdiff, let me know.

thanks.

This is the incremental debdiff based on #2 for Cosmic.

Hui Wang (hui.wang) wrote :

This is the debdiff for bionic, it is not an incremental debdiff (since the debdiff of #3 is not merged to bionic-proposed branch yet), this debdiff will replace the one in the #3. It fixed the problem of forgetting to add dir in the configure.ac.

Brian Murray (brian-murray) wrote :

Hello Hui, or anyone else affected,

Accepted alsa-lib into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-lib/1.1.6-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1030.35

---------------
linux-oem (4.15.0-1030.35) bionic; urgency=medium

  * linux-oem: 4.15.0-1030.35 -proposed tracker (LP: #1806663)

  * Add HMS CAN driver for Dell Edge Gateways (LP: #1807339)
    - SAUCE: (no-up) add IXXAT USB-to-CAN driver

  * Add support for 0cf3:535b QCA_ROME device (LP: #1807333)
    - Bluetooth: btusb: Add support for 0cf3:535b QCA_ROME device

  * Add support for Dell DW5821e WWAN/GPS module (LP: #1807342)
    - qmi_wwan: add support for the Dell Wireless 5821e module
    - qmi_wwan: fix interface number for DW5821e production firmware
    - USB: option: add support for DW5821e

  * Fix Terminus USB hub that may breaks connected USB devices after S3
    (LP: #1806850)
    - USB: Wait for extra delay time after USB_PORT_FEAT_RESET for quirky hub

  * The line-out on the Dell Dock station can't work (LP: #1806532)
    - ALSA: usb-audio: Allow to override the longname string
    - ALSA: usb-audio: Give proper vendor/product name for Dell WD15 Dock
    - ALSA: usb-audio: Add vendor and product name for Dell WD19 Dock

  * Enable new Realtek card reader (LP: #1806335)
    - USB: usb-storage: Add new IDs to ums-realtek
    - SAUCE: (noup) USB: usb-storage: Make MMC support optional on ums-realtek

  [ Ubuntu: 4.15.0-43.46 ]

  * linux: 4.15.0-43.46 -proposed tracker (LP: #1806659)
  * System randomly hangs during suspend when mei_wdt is loaded (LP: #1803942)
    - SAUCE: base/dd: limit release function changes to vfio driver only
  * Workaround CSS timeout on AMD SNPS 3.0 xHC (LP: #1806838)
    - xhci: Allow more than 32 quirks
    - xhci: workaround CSS timeout on AMD SNPS 3.0 xHC
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
    - [Config] buildinfo -- add retpoline version markers
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * CVE-2018-12896
    - posix-timers: Sanitize overrun handling
  * CVE-2018-16276
    - USB: yurex: fix out-of-bounds uaccess in read handler
  * CVE-2018-10902
    - ALSA: rawmidi: Change resized buffers atomically
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.
  * CVE-2018-18690
    - xfs: don't fail when converting shortform attr to long form during
      ATTR_REPLACE
  * CVE-2018-14734
    - infiniband: fix a possible use-after-free bug
  * CVE-2018-18445
    - bpf: 32-bit RSH verification must truncate input before the ALU op
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Chia-Lin Kao (AceLan) <email address hidden> Sat, 08 Dec 2018 11:02:54 +0800

Changed in linux-oem (Ubuntu):
status: New → Fix Released
Hui Wang (hui.wang) wrote :

Verified alsa-lib 1.1.6-1ubuntu1.2, it worked well.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Hui Wang (hui.wang) on 2018-12-24
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.1.6-1ubuntu1.2

---------------
alsa-lib (1.1.6-1ubuntu1.2) cosmic; urgency=medium

  * d/p/0013-configure-Fix-forgotten-ucm-entry.patch
    - enable line-out on the Dell WD Dock stations (LP: #1806532)

alsa-lib (1.1.6-1ubuntu1.1) cosmic; urgency=medium

  * d/p/0010-conf-ucm-Add-a-UCM-profile-for-Dell-WD15-Dock-USB-au.patch
  * d/p/0011-conf-ucm-Dell-WD15-Dock-Fix-incorrect-device-names.patch
  * d/p/0012-conf-USB-Audio-Add-Dell-WD19-Dock-in-the-IEC958-blac.patch
    - enable line-out on the Dell WD Dock stations (LP: #1806532)

 -- Hui Wang <email address hidden> Wed, 19 Dec 2018 11:32:46 +0800

Changed in alsa-lib (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for alsa-lib has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Hui, or anyone else affected,

Accepted alsa-lib into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-lib/1.1.3-5ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in alsa-lib (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Stefan Bader (smb) on 2019-01-09
no longer affects: alsa-lib (Ubuntu Cosmic)
Changed in alsa-lib (Ubuntu Cosmic):
status: New → Fix Released
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
status: New → Fix Committed
Changed in linux (Ubuntu Cosmic):
importance: Undecided → Medium
status: New → Fix Committed
Hui Wang (hui.wang) on 2019-01-10
tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Brian Murray (brian-murray) wrote :

Could you please add some details about the verification process for bionic rather than just switching the tags?

Changed in alsa-lib (Ubuntu Bionic):
status: Fix Committed → Incomplete
Hui Wang (hui.wang) wrote :

enable the bionic-proposed repository
sudo apt-get update
sudo apt install linux-image-unsigned-4.15.0-44-generic
sudo apt install linux-modules-4.15.0-44-generic
sudo apt install linux-modules-extra-4.15.0-44-generic
sudo apt install libasound2 (updated to 1.1.3-5ubuntu0.2)

Then reboot and plug the dock to a Dell laptop through TB bus, open the gnome-control-center and select the sound, we can see the USB headphone and USB Lineout from output device tab and USB Mic from input device tab. And both USB output and input work well.

Then change verification-needed-bionic to verification-done-bionic

Changed in alsa-lib (Ubuntu Bionic):
status: Incomplete → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Can we get this verified for cosmic as well?

Łukasz Zemczak (sil2100) wrote :

...ignore me, I see the alsa-lib part has been already released for cosmic.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-lib - 1.1.3-5ubuntu0.2

---------------
alsa-lib (1.1.3-5ubuntu0.2) bionic; urgency=medium

  * d/p/0014-conf-ucm-Add-a-UCM-profile-for-Dell-WD15-Dock-USB-au.patch
  * d/p/0015-conf-ucm-Dell-WD15-Dock-Fix-incorrect-device-names.patch
  * d/p/0016-conf-USB-Audio-Add-Dell-WD19-Dock-in-the-IEC958-blac.patch
  * d/p/0017-configure-Fix-forgotten-ucm-entry.patch
    - enable line-out on the Dell WD Dock stations (LP: #1806532)

 -- Hui Wang <email address hidden> Wed, 19 Dec 2018 12:25:25 +0800

Changed in alsa-lib (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (47.0 KiB)

This bug was fixed in the package linux - 4.15.0-44.47

---------------
linux (4.15.0-44.47) bionic; urgency=medium

  * linux: 4.15.0-44.47 -proposed tracker (LP: #1811419)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * CPU hard lockup with rigorous writes to NVMe drive (LP: #1810998)
    - blk-wbt: pass in enum wbt_flags to get_rq_wait()
    - blk-wbt: Avoid lock contention and thundering herd issue in wbt_wait
    - blk-wbt: move disable check into get_limit()
    - blk-wbt: use wq_has_sleeper() for wq active check
    - blk-wbt: fix has-sleeper queueing check
    - blk-wbt: abstract out end IO completion handler
    - blk-wbt: improve waking of tasks

  * To reduce the Realtek USB cardreader power consumption (LP: #1811337)
    - mmc: sdhci: Disable 1.8v modes (HS200/HS400/UHS) if controller can't support
      1.8v
    - mmc: core: Introduce MMC_CAP_SYNC_RUNTIME_PM
    - mmc: rtsx_usb_sdmmc: Don't runtime resume the device while changing led
    - mmc: rtsx_usb: Use MMC_CAP2_NO_SDIO
    - mmc: rtsx_usb: Enable MMC_CAP_ERASE to allow erase/discard/trim requests
    - mmc: rtsx_usb_sdmmc: Re-work runtime PM support
    - mmc: rtsx_usb_sdmmc: Re-work card detection/removal support
    - memstick: rtsx_usb_ms: Add missing pm_runtime_disable() in probe function
    - misc: rtsx_usb: Use USB remote wakeup signaling for card insertion detection
    - memstick: Prevent memstick host from getting runtime suspended during card
      detection
    - memstick: rtsx_usb_ms: Use ms_dev() helper
    - memstick: rtsx_usb_ms: Support runtime power management

  * Support non-strict iommu mode on arm64 (LP: #1806488)
    - iommu/io-pgtable-arm: Fix race handling in split_blk_unmap()
    - iommu/arm-smmu-v3: Implement flush_iotlb_all hook
    - iommu/dma: Add support for non-strict mode
    - iommu: Add "iommu.strict" command line option
    - iommu/io-pgtable-arm: Add support for non-strict mode
    - iommu/arm-smmu-v3: Add support for non-strict mode
    - iommu/io-pgtable-arm-v7s: Add support for non-strict mode
    - iommu/arm-smmu: Support non-strict mode

  * ELAN900C:00 04F3:2844 touchscreen doesn't work (LP: #1811335)
    - pinctrl: cannonlake: Fix community ordering for H variant
    - pinctrl: cannonlake: Fix HOSTSW_OWN register offset of H variant

  * Add Cavium ThunderX2 SoC UNCORE PMU driver (LP: #1811200)
    - perf: Export perf_event_update_userpage
    - Documentation: perf: Add documentation for ThunderX2 PMU uncore driver
    - drivers/perf: Add Cavium ThunderX2 SoC UNCORE PMU driver
    - [Config] New config CONFIG_THUNDERX2_PMU=m

  * Update hisilicon SoC-specific drivers (LP: #1810457)
    - SAUCE: Revert "net: hns3: Updates RX packet info fetch in case of multi BD"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: separate roce from nic when
      resetting"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: Use roce handle when calling roce
      callback function"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: Add calling roce callback
      function when link status change"
    - Revert "UBUNTU: SAUCE: {topost} net: hns3: optimize the process of notifying
      roce client"
    - Revert "UBUNTU: S...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in oem-priority:
importance: Undecided → Critical
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (56.3 KiB)

This bug was fixed in the package linux - 4.18.0-14.15

---------------
linux (4.18.0-14.15) cosmic; urgency=medium

  * linux: 4.18.0-14.15 -proposed tracker (LP: #1811406)

  * CPU hard lockup with rigorous writes to NVMe drive (LP: #1810998)
    - blk-wbt: Avoid lock contention and thundering herd issue in wbt_wait
    - blk-wbt: move disable check into get_limit()
    - blk-wbt: use wq_has_sleeper() for wq active check
    - blk-wbt: fix has-sleeper queueing check
    - blk-wbt: abstract out end IO completion handler
    - blk-wbt: improve waking of tasks

  * To reduce the Realtek USB cardreader power consumption (LP: #1811337)
    - mmc: core: Introduce MMC_CAP_SYNC_RUNTIME_PM
    - mmc: rtsx_usb_sdmmc: Don't runtime resume the device while changing led
    - mmc: rtsx_usb_sdmmc: Re-work runtime PM support
    - mmc: rtsx_usb_sdmmc: Re-work card detection/removal support
    - memstick: rtsx_usb_ms: Add missing pm_runtime_disable() in probe function
    - misc: rtsx_usb: Use USB remote wakeup signaling for card insertion detection
    - memstick: Prevent memstick host from getting runtime suspended during card
      detection
    - memstick: rtsx_usb_ms: Use ms_dev() helper
    - memstick: rtsx_usb_ms: Support runtime power management

  * Support non-strict iommu mode on arm64 (LP: #1806488)
    - iommu/io-pgtable-arm: Fix race handling in split_blk_unmap()
    - iommu/arm-smmu-v3: Implement flush_iotlb_all hook
    - iommu/dma: Add support for non-strict mode
    - iommu: Add "iommu.strict" command line option
    - iommu/io-pgtable-arm: Add support for non-strict mode
    - iommu/arm-smmu-v3: Add support for non-strict mode
    - iommu/io-pgtable-arm-v7s: Add support for non-strict mode
    - iommu/arm-smmu: Support non-strict mode

  * [Regression] crashkernel fails on HiSilicon D05 (LP: #1806766)
    - efi: honour memory reservations passed via a linux specific config table
    - efi/arm: libstub: add a root memreserve config table
    - efi: add API to reserve memory persistently across kexec reboot
    - irqchip/gic-v3-its: Change initialization ordering for LPIs
    - irqchip/gic-v3-its: Simplify LPI_PENDBASE_SZ usage
    - irqchip/gic-v3-its: Split property table clearing from allocation
    - irqchip/gic-v3-its: Move pending table allocation to init time
    - irqchip/gic-v3-its: Keep track of property table's PA and VA
    - irqchip/gic-v3-its: Allow use of pre-programmed LPI tables
    - irqchip/gic-v3-its: Use pre-programmed redistributor tables with kdump
      kernels
    - irqchip/gic-v3-its: Check that all RDs have the same property table
    - irqchip/gic-v3-its: Register LPI tables with EFI config table
    - irqchip/gic-v3-its: Allow use of LPI tables in reserved memory
    - arm64: memblock: don't permit memblock resizing until linear mapping is up
    - efi/arm: Defer persistent reservations until after paging_init()
    - efi: Permit calling efi_mem_reserve_persistent() from atomic context
    - efi: Prevent GICv3 WARN() by mapping the memreserve table before first use

  * ELAN900C:00 04F3:2844 touchscreen doesn't work (LP: #1811335)
    - pinctrl: cannonlake: Fix community ordering for H variant
    - pinctrl: c...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.1 KiB)

This bug was fixed in the package linux - 4.19.0-12.13

---------------
linux (4.19.0-12.13) disco; urgency=medium

  * linux: 4.19.0-12.13 -proposed tracker (LP: #1813664)

  * kernel oops in bcache module (LP: #1793901)
    - SAUCE: bcache: never writeback a discard operation

  * Disco update: 4.19.18 upstream stable release (LP: #1813611)
    - ipv6: Consider sk_bound_dev_if when binding a socket to a v4 mapped address
    - mlxsw: spectrum: Disable lag port TX before removing it
    - mlxsw: spectrum_switchdev: Set PVID correctly during VLAN deletion
    - net: dsa: mv88x6xxx: mv88e6390 errata
    - net, skbuff: do not prefer skb allocation fails early
    - qmi_wwan: add MTU default to qmap network interface
    - ipv6: Take rcu_read_lock in __inet6_bind for mapped addresses
    - net: clear skb->tstamp in bridge forwarding path
    - netfilter: ipset: Allow matching on destination MAC address for mac and
      ipmac sets
    - gpio: pl061: Move irq_chip definition inside struct pl061
    - drm/amd/display: Guard against null stream_state in set_crc_source
    - drm/amdkfd: fix interrupt spin lock
    - ixgbe: allow IPsec Tx offload in VEPA mode
    - platform/x86: asus-wmi: Tell the EC the OS will handle the display off
      hotkey
    - e1000e: allow non-monotonic SYSTIM readings
    - usb: typec: tcpm: Do not disconnect link for self powered devices
    - selftests/bpf: enable (uncomment) all tests in test_libbpf.sh
    - of: overlay: add missing of_node_put() after add new node to changeset
    - writeback: don't decrement wb->refcnt if !wb->bdi
    - serial: set suppress_bind_attrs flag only if builtin
    - bpf: Allow narrow loads with offset > 0
    - ALSA: oxfw: add support for APOGEE duet FireWire
    - x86/mce: Fix -Wmissing-prototypes warnings
    - MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur
    - crypto: ecc - regularize scalar for scalar multiplication
    - arm64: perf: set suppress_bind_attrs flag to true
    - drm/atomic-helper: Complete fake_commit->flip_done potentially earlier
    - clk: meson: meson8b: fix incorrect divider mapping in cpu_scale_table
    - samples: bpf: fix: error handling regarding kprobe_events
    - usb: gadget: udc: renesas_usb3: add a safety connection way for
      forced_b_device
    - fpga: altera-cvp: fix probing for multiple FPGAs on the bus
    - selinux: always allow mounting submounts
    - ASoC: pcm3168a: Don't disable pcm3168a when CONFIG_PM defined
    - scsi: qedi: Check for session online before getting iSCSI TLV data.
    - drm/amdgpu: Reorder uvd ring init before uvd resume
    - rxe: IB_WR_REG_MR does not capture MR's iova field
    - efi/libstub: Disable some warnings for x86{,_64}
    - jffs2: Fix use of uninitialized delayed_work, lockdep breakage
    - clk: imx: make mux parent strings const
    - pstore/ram: Do not treat empty buffers as valid
    - media: uvcvideo: Refactor teardown of uvc on USB disconnect
    - powerpc/xmon: Fix invocation inside lock region
    - powerpc/pseries/cpuidle: Fix preempt warning
    - media: firewire: Fix app_info parameter type in avc_ca{,_app}_info
    - ASoC: use dma_ops of parent device for acp_audio_dma
    - media: ve...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (48.7 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1033.38

---------------
linux-oem (4.15.0-1033.38) bionic; urgency=medium

  * linux-oem: 4.15.0-1033.38 -proposed tracker (LP: #1814241)

  * Packaging resync (LP: #1786013)
    - [Packaging] update update.conf

  [ Ubuntu: 4.15.0-45.48 ]

  * linux: 4.15.0-45.48 -proposed tracker (LP: #1813779)
  * External monitors does not work anymore 4.15.0-44 (LP: #1813663)
    - SAUCE: Revert "drm/i915/dp: Send DPCD ON for MST before phy_up"
  * kernel 4.15.0-44 cannot mount ext4 fs with meta_bg enabled (LP: #1813727)
    - ext4: fix false negatives *and* false positives in ext4_check_descriptors()

linux-oem (4.15.0-1032.37) bionic; urgency=medium

  * linux-oem: 4.15.0-1032.37 -proposed tracker (LP: #1811421)

  * Fix non-working pinctrl-intel (LP: #1811777)
    - pinctrl: intel: Implement intel_gpio_get_direction callback
    - pinctrl: intel: Do pin translation when lock IRQ
    - pinctrl: intel: Do pin translation in other GPIO operations as well
    - Revert "pinctrl: intel: Do pin translation when lock IRQ"

  * Fix not working Goodix touchpad (LP: #1811929)
    - HID: i2c-hid: Disable runtime PM on Goodix touchpad

  * Miscellaneous Ubuntu changes
    - [Config] update configs following rebase to 4.15.0-44.47

  [ Ubuntu: 4.15.0-44.47 ]

  * linux: 4.15.0-44.47 -proposed tracker (LP: #1811419)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
  * CPU hard lockup with rigorous writes to NVMe drive (LP: #1810998)
    - blk-wbt: pass in enum wbt_flags to get_rq_wait()
    - blk-wbt: Avoid lock contention and thundering herd issue in wbt_wait
    - blk-wbt: move disable check into get_limit()
    - blk-wbt: use wq_has_sleeper() for wq active check
    - blk-wbt: fix has-sleeper queueing check
    - blk-wbt: abstract out end IO completion handler
    - blk-wbt: improve waking of tasks
  * To reduce the Realtek USB cardreader power consumption (LP: #1811337)
    - mmc: sdhci: Disable 1.8v modes (HS200/HS400/UHS) if controller can't support
      1.8v
    - mmc: core: Introduce MMC_CAP_SYNC_RUNTIME_PM
    - mmc: rtsx_usb_sdmmc: Don't runtime resume the device while changing led
    - mmc: rtsx_usb: Use MMC_CAP2_NO_SDIO
    - mmc: rtsx_usb: Enable MMC_CAP_ERASE to allow erase/discard/trim requests
    - mmc: rtsx_usb_sdmmc: Re-work runtime PM support
    - mmc: rtsx_usb_sdmmc: Re-work card detection/removal support
    - memstick: rtsx_usb_ms: Add missing pm_runtime_disable() in probe function
    - misc: rtsx_usb: Use USB remote wakeup signaling for card insertion detection
    - memstick: Prevent memstick host from getting runtime suspended during card
      detection
    - memstick: rtsx_usb_ms: Use ms_dev() helper
    - memstick: rtsx_usb_ms: Support runtime power management
  * Support non-strict iommu mode on arm64 (LP: #1806488)
    - iommu/io-pgtable-arm: Fix race handling in split_blk_unmap()
    - iommu/arm-smmu-v3: Implement flush_iotlb_all hook
    - iommu/dma: Add support for non-strict mode
    - iommu: Add "iommu.strict" command line option
    - iommu/io-pgtable-arm: Add support for non-strict mode
    - iommu/arm-smmu-v3: Add support for non-strict mode
  ...

Changed in linux-oem (Ubuntu Bionic):
status: New → Fix Released
status: New → Fix Released
Changed in linux-oem (Ubuntu Cosmic):
status: New → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers